登录  免费注册
当前位置:首页 > 漏洞详细信息

Embedthis GoAhead缓冲区溢出漏洞

 关注(0)  
CNVD-ID CNVD-2019-19301
公开日期 2019-06-26
危害级别 中 (AV:N/AC:L/Au:N/C:N/I:N/A:P)
影响产品 Embedthis Software Embedthis Software GoAhead <4.1.1
Embedthis Software Embedthis Software GoAhead 5.*,<5.0.1
CVE ID CVE-2019-12822
漏洞描述 Embedthis Software GoAhead是美国Embedthis Software公司的一款嵌入式Web服务器。

Embedthis GoAhead 4.1.1之前版本和5.0.1之前的5.x版本中的http.c文件存在缓冲区溢出漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2019-12822
漏洞解决方案 目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/embedthis/goahead/issues/285
厂商补丁 Embedthis GoAhead缓冲区溢出漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2019-06-18
收录时间 2019-06-26
更新时间 2019-06-26
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论